Package com.saxonica.xqj.pull

## Class PullToStax.SourceStreamLocation

- java.lang.Object
- - com.saxonica.xqj.pull.PullToStax.SourceStreamLocation

- All Implemented Interfaces:
    `javax.xml.stream.Location`
  Enclosing class:
    PullToStax

      public static class PullToStax.SourceStreamLocation
      extends java.lang.Object
      implements javax.xml.stream.Location

  Bridge a SAX SourceLocator to a javax.xml.stream.Location

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceStreamLocation​(Location locator)` | Create a StAX SourceStreamLocation object based on a given SAX SourceLocator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCharacterOffset()` |
    `int` | `getColumnNumber()` |
    `int` | `getLineNumber()` |
    `java.lang.String` | `getPublicId()` |
    `java.lang.String` | `getSystemId()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceStreamLocation

          public SourceStreamLocation​(Location locator)

      Create a StAX SourceStreamLocation object based on a given SAX SourceLocator
      Parameters:
        `locator` - the SAX SourceLocator

  - ### Method Detail

    - #### getCharacterOffset

          public int getCharacterOffset()

      Specified by:
        `getCharacterOffset` in interface `javax.xml.stream.Location`

    - #### getColumnNumber

          public int getColumnNumber()

      Specified by:
        `getColumnNumber` in interface `javax.xml.stream.Location`

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `javax.xml.stream.Location`

    - #### getPublicId

          public java.lang.String getPublicId()

      Specified by:
        `getPublicId` in interface `javax.xml.stream.Location`

    - #### getSystemId

          public java.lang.String getSystemId()

      Specified by:
        `getSystemId` in interface `javax.xml.stream.Location`